Summary: A library for parsing and editing configuration files.
Name: rhclib
Version: 0.19
Release: 3
Copyright: GPL
Group: Development/Libraries
Source: rhclib-%{version}.tar.gz
URL: http://www.redhat.com/
Prefix: /usr
Buildroot: %{_tmppath}/%{name}-root
BuildPrereq: gnome-libs-devel, gtk+-devel, qt-devel, slang-devel, newt-devel

%package devel
Summary: header files and libraries for rhclib development
Group: Development/Libraries
Requires: rhclib

%description
Rhclib is a library for parsing and editing configuration files.
This main package only contains translations and docu and must
be installed for all programs using this library.

%description devel
This package contains the static library and include files needed
for developing rhclib applications.
Html docu for development is also included.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q 
test -f Makefile.in || make -f Makefile.cvs

%build
export QTDIR=
. /etc/profile.d/qt.sh
export MYOPT="$RPM_OPT_FLAGS -Wall -Wcast-align -Wmissing-prototypes \
	-Wwrite-strings -Wstrict-prototypes -Wnested-externs \
	-Wtraditional -Woverloaded-virtual -Wbad-function-cast \
	-Wsynth -Wpointer-arith -Wmissing-declarations"
CXXFLAGS="$MYOPT" CFLAGS="$MYOPT -Wshadow -Wcast-qual" \
	./configure --prefix=/usr
make

%install
export QTDIR=
. /etc/profile.d/qt.sh
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README COPYING doc/*.html
/usr/share/locale/*/LC_MESSAGES/*

%files devel
%defattr(-,root,root,0755)
%doc doc/src/*.html
/usr/include/rhclib
/usr/lib/*

%changelog
* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- set QTDIR for all buildsystems

* Mon Jun 26 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- upload 0.19 into rawhide

* Mon Jun 19 2000 Harald Hoyer <harald@redhat.de>
- fixed bug in NewContent2

* Mon Jun 19 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- upload 0.17 into rawhide

* Mon May 15 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- upload 0.15 into rawhide

* Mon Mar 06 2000 Harald Hoyer <harald@redhat.de>
- made rhclib.spec.in for rpm -ta rhclib-$version.tar.gz

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix summary and description

* Tue Feb  2 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- update to current sources
- try to get serious by using a real version number

* Tue Jan 25 2000 Karsten Hopp <Karsten.Hopp@redhat.de>
- added line parsing
- execute ldconfig after de/installation

* Mon Jan 10 2000 Bernhard Rosenkrnzer <bero@redhat.de>
- Current CVS
- Build static lib, remove -devel package as it's devel-only from now on.

* Thu Jan  6 2000 Bernhard Rosenkrnzer <bero@redhat.de>
- Update to current CVS

* Mon Jan  3 2000 Florian La Roche <laroche@redhat.de>
- upload current status

* Sat Jan  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- New snapshot
- First RPM of the year 2000. (Say what you want, this is better than getting
  the first post on slashdot ;) )

* Tue Dec 28 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
